Subject: Re: bug#59935: 29.0.60; project-list-buffers is slow

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2022 20:22:28 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 12 Dec 2022 20:14:46 +0200
> 
> >> Why not leave alone that additional PREDICATE argument of
> >> list-buffers-noselect, and add a feature where the BUFFER-LIST
> >> argument could be a function?  That's be a compatible change.  Just
> >> keep the PREDICATE argument and the code which supports it, and
> >> document that if PREDICATE is a function, BUFFER-LIST cannot be a
> >> function.
> >
> > Note the last sentence.  Doesn't it resolve the difficulty in a
> > reasonable way?
> 
> Then support for a function in BUFFER-LIST should be implemented
> in emacs-29?  (while keeping the recently added PREDICATE argument)

Yes.  Why not?  It cannot possibly hurt any existing callers, because
they won't use a function.  Right?